<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.undertow.servlet-container">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allow-non-standard-wrappers,default-buffer-cache,default-cookie-version,default-encoding,default-session-timeout,directory-listing,disable-caching-for-secured-pages,disable-file-watch-service,disable-session-id-reuse,eager-filter-initialization,file-cache-max-file-size,file-cache-metadata-size,file-cache-time-to-live,ignore-flush,max-sessions,preserve-path-on-forward,proactive-authentication,session-id-length,stack-trace-on-error,use-listener-encoding"/>
        <elem name="addr-params" value="profile,subsystem,servlet-container"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.servlet-container.$servlet-container"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.undertow"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="default-cookie-version" nillable="true"/>
        <param name="file-cache-metadata-size" nillable="true"/>
        <param name="use-listener-encoding" nillable="true"/>
        <param name="preserve-path-on-forward" nillable="true"/>
        <param name="default-session-timeout" nillable="true"/>
        <param name="file-cache-time-to-live" nillable="true"/>
        <param name="stack-trace-on-error" nillable="true"/>
        <param name="default-buffer-cache" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="disable-session-id-reuse" nillable="true"/>
        <param name="servlet-container" feature-id="true"/>
        <param name="disable-file-watch-service" nillable="true"/>
        <param name="eager-filter-initialization" nillable="true"/>
        <param name="session-id-length" nillable="true"/>
        <param name="allow-non-standard-wrappers" nillable="true"/>
        <param name="file-cache-max-file-size" nillable="true"/>
        <param name="default-encoding" nillable="true"/>
        <param name="directory-listing" nillable="true"/>
        <param name="ignore-flush" nillable="true"/>
        <param name="max-sessions" nillable="true"/>
        <param name="disable-caching-for-secured-pages" nillable="true"/>
        <param name="proactive-authentication" nillable="true"/>
    </params>
</feature-spec>